Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::xfa::XFAWidgetModifyInfo Class Reference

Inherits Object.

## Public Types
enum | WidgetAttributeType { e_WidgetAttributeTypeH = 0, e_WidgetAttributeTypeW = 1, e_WidgetAttributeTypeX = 2, e_WidgetAttributeTypeY = 3, e_WidgetAttributeTypeLineThrough = 4, e_WidgetAttributeTypeLineHAlign = 5, e_WidgetAttributeTypeTypeface = 6, e_WidgetAttributeTypeFontHorizontalScale = 7, e_WidgetAttributeTypeTextIndent = 8, e_WidgetAttributeTypeLeftInset = 9, e_WidgetAttributeTypeBottomInset = 10, e_WidgetAttributeTypeAllowRichText = 11, e_WidgetAttributeTypeTopInset = 12, e_WidgetAttributeTypeAccess = 13, e_WidgetAttributeTypeMarginRight = 14, e_WidgetAttributeTypeRotate = 15, e_WidgetAttributeTypeUnderline = 16, e_WidgetAttributeTypeBaselineShift = 17, e_WidgetAttributeTypeOverlinePeriod = 18, e_WidgetAttributeTypeFracDigits = 19, e_WidgetAttributeTypeMarginLeft = 20, e_WidgetAttributeTypeStroke = 21, e_WidgetAttributeTypePresence = 22, e_WidgetAttributeTypeMultiLine = 23, e_WidgetAttributeTypeSpaceBelow = 24, e_WidgetAttributeTypeNumberOfCells = 25, e_WidgetAttributeTypeLetterSpacing = 26, e_WidgetAttributeTypePasswordChar = 27, e_WidgetAttributeTypeVAlign = 28, e_WidgetAttributeTypeMaxH = 29, e_WidgetAttributeTypeMaxW = 30, e_WidgetAttributeTypeMinH = 31, e_WidgetAttributeTypeMinW = 32, e_WidgetAttributeTypeLayout = 33, e_WidgetAttributeTypeRightInset = 34, e_WidgetAttributeTypeLineThroughPeriod = 35, e_WidgetAttributeTypeShape = 36, e_WidgetAttributeTypeBorderWidth = 37, e_WidgetAttributeTypeLocale = 38, e_WidgetAttributeTypeWeight = 39, e_WidgetAttributeTypeUnderlinePeriod = 40, e_WidgetAttributeTypeOverline = 42, e_WidgetAttributeTypeLineHeight = 43, e_WidgetAttributeTypeValue = 44, e_WidgetAttributeTypeTextEncoding = 45, e_WidgetAttributeTypeLeadDigits = 46, e_WidgetAttributeTypeSpaceAbove = 47, e_WidgetAttributeTypePlacement = 48, e_WidgetAttributeTypeBorderColor = 49, e_WidgetAttributeTypeFillColor = 50, e_WidgetAttributeTypeFontColor = 51, e_WidgetAttributeTypeUnknown = 52 }
| Enumeration for XFA attribute type. More...
enum | WidgetElement { e_WidgetElementPs = 0, e_WidgetElementTo = 1, e_WidgetElementUi = 2, e_WidgetElementRecordSet = 3, e_WidgetElementSubsetBelow = 4, e_WidgetElementSubformSet = 5, e_WidgetElementAdobeExtensionLevel = 6, e_WidgetElementTypeface = 7, e_WidgetElementBreak = 8, e_WidgetElementFontInfo = 9, e_WidgetElementNumberPattern = 10, e_WidgetElementDynamicRender = 11, e_WidgetElementPrintScaling = 12, e_WidgetElementCheckButton = 13, e_WidgetElementDatePatterns = 14, e_WidgetElementSourceSet = 15, e_WidgetElementAmd = 16, e_WidgetElementArc = 17, e_WidgetElementDay = 18, e_WidgetElementEra = 19, e_WidgetElementJog = 20, e_WidgetElementLog = 21, e_WidgetElementMap = 22, e_WidgetElementMdp = 23, e_WidgetElementBreakBefore = 24, e_WidgetElementOid = 25, e_WidgetElementPcl = 26, e_WidgetElementPdf = 27, e_WidgetElementRef = 28, e_WidgetElementUri = 29, e_WidgetElementXdc = 30, e_WidgetElementXdp = 31, e_WidgetElementXfa = 32, e_WidgetElementXsl = 33, e_WidgetElementZpl = 34, e_WidgetElementCache = 35, e_WidgetElementMargin = 36, e_WidgetElementKeyUsage = 37, e_WidgetElementExclude = 38, e_WidgetElementChoiceList = 39, e_WidgetElementLevel = 40, e_WidgetElementLabelPrinter = 41, e_WidgetElementCalendarSymbols = 42, e_WidgetElementPara = 43, e_WidgetElementPart = 44, e_WidgetElementPdfa = 45, e_WidgetElementFilter = 46, e_WidgetElementPresent = 47, e_WidgetElementPagination = 48, e_WidgetElementEncoding = 49, e_WidgetElementEvent = 50, e_WidgetElementWhitespace = 51, e_WidgetElementDefaultUi = 52, e_WidgetElementDataModel = 53, e_WidgetElementBarcode = 54, e_WidgetElementTimePattern = 55, e_WidgetElementBatchOutput = 56, e_WidgetElementEnforce = 57, e_WidgetElementCurrencySymbols = 58, e_WidgetElementAddSilentPrint = 59, e_WidgetElementRename = 60, e_WidgetElementOperation = 61, e_WidgetElementTypefaces = 62, e_WidgetElementSubjectDNs = 63, e_WidgetElementIssuers = 64, e_WidgetElementSignaturePseudoModel = 65, e_WidgetElementWsdlConnection = 66, e_WidgetElementDebug = 67, e_WidgetElementDelta = 68, e_WidgetElementEraNames = 69, e_WidgetElementModifyAnnots = 70, e_WidgetElementStartNode = 71, e_WidgetElementButton = 72, e_WidgetElementFormat = 73, e_WidgetElementBorder = 74, e_WidgetElementArea = 75, e_WidgetElementHyphenation = 76, e_WidgetElementText = 77, e_WidgetElementTime = 78, e_WidgetElementType = 79, e_WidgetElementOverprint = 80, e_WidgetElementCertificates = 81, e_WidgetElementEncryptionMethods = 82, e_WidgetElementSetProperty = 83, e_WidgetElementPrinterName = 84, e_WidgetElementStartPage = 85, e_WidgetElementPageOffset = 86, e_WidgetElementDateTime = 87, e_WidgetElementComb = 88, e_WidgetElementPattern = 89, e_WidgetElementIfEmpty = 90, e_WidgetElementSuppressBanner = 91, e_WidgetElementOutputBin = 92, e_WidgetElementField = 93, e_WidgetElementAgent = 94, e_WidgetElementOutputXSL = 95, e_WidgetElementAdjustData = 96, e_WidgetElementAutoSave = 97, e_WidgetElementContentArea = 98, e_WidgetElementEventPseudoModel = 99, e_WidgetElementWsdlAddress = 100, e_WidgetElementSolid = 101, e_WidgetElementDateTimeSymbols = 102, e_WidgetElementEncryptionLevel = 103, e_WidgetElementEdge = 104, e_WidgetElementStipple = 105, e_WidgetElementAttributes = 106, e_WidgetElementVersionControl = 107, e_WidgetElementMeridiem = 108, e_WidgetElementExclGroup = 109, e_WidgetElementToolTip = 110, e_WidgetElementCompress = 111, e_WidgetElementReason = 112, e_WidgetElementExecute = 113, e_WidgetElementContentCopy = 114, e_WidgetElementDateTimeEdit = 115, e_WidgetElementConfig = 116, e_WidgetElementImage = 117, e_WidgetElementSharpxHTML = 118, e_WidgetElementNumberOfCopies = 119, e_WidgetElementBehaviorOverride = 120, e_WidgetElementTimeStamp = 121, e_WidgetElementMonth = 122, e_WidgetElementViewerPreferences = 123, e_WidgetElementScriptModel = 124, e_WidgetElementDecimal = 125, e_WidgetElementSubform = 126, e_WidgetElementSelect = 127, e_WidgetElementWindow = 128, e_WidgetElementLocaleSet = 129, e_WidgetElementHandler = 130, e_WidgetElementHostPseudoModel = 131, e_WidgetElementPresence = 132, e_WidgetElementRecord = 133, e_WidgetElementEmbed = 134, e_WidgetElementVersion = 135, e_WidgetElementCommand = 136, e_WidgetElementCopies = 137, e_WidgetElementStaple = 138, e_WidgetElementSubmitFormat = 139, e_WidgetElementBoolean = 140, e_WidgetElementMessage = 141, e_WidgetElementOutput = 142, e_WidgetElementPsMap = 143, e_WidgetElementExcludeNS = 144, e_WidgetElementAssist = 145, e_WidgetElementPicture = 146, e_WidgetElementTraversal = 147, e_WidgetElementSilentPrint = 148, e_WidgetElementWebClient = 149, e_WidgetElementLayoutPseudoModel = 150, e_WidgetElementProducer =151, e_WidgetElementCorner = 152, e_WidgetElementMsgId = 153, e_WidgetElementColor = 154, e_WidgetElementKeep = 155, e_WidgetElementQuery = 156, e_WidgetElementInsert = 157, e_WidgetElementImageEdit = 158, e_WidgetElementValidate = 159, e_WidgetElementDigestMethods = 160, e_WidgetElementNumberPatterns = 161, e_WidgetElementPageSet = 162, e_WidgetElementInteger = 163, e_WidgetElementSoapAddress = 164, e_WidgetElementEquate = 165, e_WidgetElementFormFieldFilling = 166, e_WidgetElementPageRange = 167, e_WidgetElementUpdate = 168, e_WidgetElementConnectString = 169, e_WidgetElementMode = 170, e_WidgetElementLayout = 171, e_WidgetElementSharpxml = 172, e_WidgetElementXsdConnection = 173, e_WidgetElementTraverse = 174, e_WidgetElementEncodings = 175, e_WidgetElementTemplate = 176, e_WidgetElementAcrobat = 177, e_WidgetElementValidationMessaging = 178, e_WidgetElementSigning = 179, e_WidgetElementDataWindow = 180, e_WidgetElementScript = 181, e_WidgetElementAddViewerPreferences = 182, e_WidgetElementAlwaysEmbed = 183, e_WidgetElementPasswordEdit = 184, e_WidgetElementNumericEdit = 185, e_WidgetElementEncryptionMethod = 186, e_WidgetElementChange = 187, e_WidgetElementPageArea = 188, e_WidgetElementSubmitUrl = 189, e_WidgetElementOids = 190, e_WidgetElementSignature = 191, e_WidgetElementADBE_JSConsole = 192, e_WidgetElementCaption = 193, e_WidgetElementRelevant = 194, e_WidgetElementFlipLabel = 195, e_WidgetElementExData = 196, e_WidgetElementDayNames = 197, e_WidgetElementSoapAction = 198, e_WidgetElementDefaultTypeface = 199, e_WidgetElementManifest = 200, e_WidgetElementOverflow = 201, e_WidgetElementLinear = 202, e_WidgetElementCurrencySymbol = 203, e_WidgetElementDelete = 204, e_WidgetElementDeltas = 205, e_WidgetElementDigestMethod = 206, e_WidgetElementInstanceManager = 207, e_WidgetElementEquateRange = 208, e_WidgetElementMedium = 209, e_WidgetElementTextEdit = 210, e_WidgetElementTemplateCache = 211, e_WidgetElementCompressObjectStream = 212, e_WidgetElementDataValue = 213, e_WidgetElementAccessibleContent = 214, e_WidgetElementNodeList = 215, e_WidgetElementIncludeXDPContent = 216, e_WidgetElementXmlConnection = 217, e_WidgetElementValidateApprovalSignatures = 218, e_WidgetElementSignData = 219, e_WidgetElementPackets = 220, e_WidgetElementDatePattern = 221, e_WidgetElementDuplexOption = 222, e_WidgetElementBase = 223, e_WidgetElementBind = 224, e_WidgetElementCompression = 225, e_WidgetElementUser = 226, e_WidgetElementRectangle = 227, e_WidgetElementEffectiveOutputPolicy = 228, e_WidgetElementADBE_JSDebugger = 229, e_WidgetElementAcrobat7 = 230, e_WidgetElementInteractive = 231, e_WidgetElementLocale = 232, e_WidgetElementCurrentPage = 233, e_WidgetElementData = 234, e_WidgetElementDate = 235, e_WidgetElementDesc = 236, e_WidgetElementEncrypt = 237, e_WidgetElementDraw = 238, e_WidgetElementEncryption = 239, e_WidgetElementMeridiemNames = 240, e_WidgetElementMessaging = 241, e_WidgetElementSpeak = 242, e_WidgetElementDataGroup = 243, e_WidgetElementCommon = 244, e_WidgetElementSharptext = 245, e_WidgetElementPaginationOverride = 246, e_WidgetElementReasons = 247, e_WidgetElementSignatureProperties = 248, e_WidgetElementThreshold = 249, e_WidgetElementAppearanceFilter = 250, e_WidgetElementFill = 251, e_WidgetElementFont = 252, e_WidgetElementForm = 253, e_WidgetElementMediumInfo = 254, e_WidgetElementCertificate = 255, e_WidgetElementPassword = 256, e_WidgetElementRunScripts = 257, e_WidgetElementTrace = 258, e_WidgetElementFloat = 259, e_WidgetElementRenderPolicy = 260, e_WidgetElementLogPseudoModel = 261, e_WidgetElementDestination = 262, e_WidgetElementValue = 263, e_WidgetElementBookend = 264, e_WidgetElementExObject = 265, e_WidgetElementXMLData = 266, e_WidgetElementOpenAction = 267, e_WidgetElementNeverEmbed = 268, e_WidgetElementBindItems = 269, e_WidgetElementCalculate = 270, e_WidgetElementPrint = 271, e_WidgetElementExtras = 272, e_WidgetElementProto = 273, e_WidgetElementDSigData = 274, e_WidgetElementCreator = 275, e_WidgetElementConnect = 276, e_WidgetElementPermissions = 277, e_WidgetElementConnectionSet = 278, e_WidgetElementSubmit = 279, e_WidgetElementRange = 280, e_WidgetElementLinearized = 281, e_WidgetElementPacket = 282, e_WidgetElementRootElement = 283, e_WidgetElementPlaintextMetadata = 284, e_WidgetElementNumberSymbols = 285, e_WidgetElementPrintHighQuality = 286, e_WidgetElementDriver = 287, e_WidgetElementIncrementalLoad = 288, e_WidgetElementSubjectDN = 289, e_WidgetElementCompressLogicalStructure = 290, e_WidgetElementIncrementalMerge = 291, e_WidgetElementRadial = 292, e_WidgetElementVariables = 293, e_WidgetElementTimePatterns = 294, e_WidgetElementEffectiveInputPolicy = 295, e_WidgetElementNameAttr = 296, e_WidgetElementConformance = 297, e_WidgetElementTransform = 298, e_WidgetElementLockDocument = 299, e_WidgetElementBreakAfter = 300, e_WidgetElementLine = 301, e_WidgetElementList = 302, e_WidgetElementSource = 303, e_WidgetElementOccur = 304, e_WidgetElementPickTrayByPDFSize = 305, e_WidgetElementMonthNames = 306, e_WidgetElementSeverity = 307, e_WidgetElementGroupParent = 308, e_WidgetElementEncryptData = 309, e_WidgetElementDocumentAssembly = 310, e_WidgetElementNumberSymbol = 311, e_WidgetElementTagged = 312, e_WidgetElementItems = 313 }
| Enumeration for the positon of XFA widget element. More...

## Public Member Functions
| XFAWidgetModifyInfo ()
| Constructor.
| XFAWidgetModifyInfo (const XFAWidgetModifyInfo &other)
| Constructor, with another xfa widget modify information object. More...
| XFAWidgetModifyInfo (XFADoc::EventType event_type, int page_index, WidgetElement element, WidgetAttributeType attribute_type, WString old_value, WString new_value, WString widget_name)
| Constructor, with parameters. More...
XFAWidgetModifyInfo & | operator= (const XFAWidgetModifyInfo &other)
| Assign operator. More...

## Public Attributes
WidgetAttributeType | attribute_type
| The attribute type. Please refer to values starting from XFAWidgetModifyInfo::e_WidgetAttributeTypeH and this would be one of these values.
WidgetElement | element
| The XFA widget element. Please refer to values starting from XFAWidgetModifyInfo::e_WidgetElementPs and this would be one of these values.
XFADoc::EventType | event_type
| The XFA event type. Please refer to values starting from XFADoc::e_EventTypeUnknown and this would be one of these values.
WString | new_value
| The new value.
WString | old_value
| The old value.
int | page_index
| The page index.
WString | widget_name
| The xfa widget name.

## Detailed Description

This class represents the xfa widget modify information

## Member Enumeration Documentation

## ◆ WidgetAttributeType

enum foxit::addon::xfa::XFAWidgetModifyInfo::WidgetAttributeType

Enumeration for XFA attribute type.

Values of this enumeration should be used alone.

Enumerator
e_WidgetAttributeTypeH | Widget attribute type: H. Height for layout purposes.
e_WidgetAttributeTypeW | Widget attribute type: W. Width for layout purposes.
e_WidgetAttributeTypeX | Widget attribute type: X. X coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
e_WidgetAttributeTypeY | Widget attribute type: Y. Y coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
e_WidgetAttributeTypeLineThrough | Widget attribute type: Line through.
e_WidgetAttributeTypeLineHAlign | Widget attribute type: Horizontal text alignment control.
e_WidgetAttributeTypeTypeface | Widget attribute type: Type face.
e_WidgetAttributeTypeFontHorizontalScale | Widget attribute type: Font horizontal scale.
e_WidgetAttributeTypeTextIndent | Widget attribute type: Text intent.
e_WidgetAttributeTypeLeftInset | Widget attribute type: Left inset.
e_WidgetAttributeTypeBottomInset | Widget attribute type: Bottom inset.
e_WidgetAttributeTypeAllowRichText | Widget attribute type: Allow rich text.
e_WidgetAttributeTypeTopInset | Widget attribute type: Top inset.
e_WidgetAttributeTypeAccess | Widget attribute type: Access.
e_WidgetAttributeTypeMarginRight | Widget attribute type: Margin right.
e_WidgetAttributeTypeRotate | Widget attribute type: Rotate.
e_WidgetAttributeTypeUnderline | Widget attribute type: Underline.
e_WidgetAttributeTypeBaselineShift | Widget attribute type: Baseline shift.
e_WidgetAttributeTypeOverlinePeriod | Widget attribute type: Overline period.
e_WidgetAttributeTypeFracDigits | Widget attribute type: Frac digits.
e_WidgetAttributeTypeMarginLeft | Widget attribute type: Margin left digits.
e_WidgetAttributeTypeStroke | Widget attribute type: Stroke.
e_WidgetAttributeTypePresence | Widget attribute type: Presence.
e_WidgetAttributeTypeMultiLine | Widget attribute type: Multiline.
e_WidgetAttributeTypeSpaceBelow | Widget attribute type: Space below.
e_WidgetAttributeTypeNumberOfCells | Widget attribute type: Number of cells.
e_WidgetAttributeTypeLetterSpacing | Widget attribute type: Letter spacing.
e_WidgetAttributeTypePasswordChar | Widget attribute type: Password char.
e_WidgetAttributeTypeVAlign | Widget attribute type: Vertical text alignment control.
e_WidgetAttributeTypeMaxH | Widget attribute type: Max H.
e_WidgetAttributeTypeMaxW | Widget attribute type: Max W.
e_WidgetAttributeTypeMinH | Widget attribute type: Min H.
e_WidgetAttributeTypeMinW | Widget attribute type: Min W.
e_WidgetAttributeTypeLayout | Widget attribute type: Layout.
e_WidgetAttributeTypeRightInset | Widget attribute type: Right inset.
e_WidgetAttributeTypeLineThroughPeriod | Widget attribute type: Line through period.
e_WidgetAttributeTypeShape | Widget attribute type: Shape.
e_WidgetAttributeTypeBorderWidth | Widget attribute type: Border width.
e_WidgetAttributeTypeLocale | Widget attribute type: Locale.
e_WidgetAttributeTypeWeight | Widget attribute type: Weight.
e_WidgetAttributeTypeUnderlinePeriod | Widget attribute type: Underline period.
e_WidgetAttributeTypeOverline | Widget attribute type: Overline.
e_WidgetAttributeTypeLineHeight | Widget attribute type: Line height.
e_WidgetAttributeTypeValue | Widget attribute type: Value.
e_WidgetAttributeTypeTextEncoding | Widget attribute type: Text encoding.
e_WidgetAttributeTypeLeadDigits | Widget attribute type: Lead digits.
e_WidgetAttributeTypeSpaceAbove | Widget attribute type: Space above.
e_WidgetAttributeTypePlacement | Widget attribute type: Placement.
e_WidgetAttributeTypeBorderColor | Widget attribute type: Border color.
e_WidgetAttributeTypeFillColor | Widget attribute type: Fill color.
e_WidgetAttributeTypeFontColor | Widget attribute type: Font color.
e_WidgetAttributeTypeUnknown | Widget attribute type: Unknown.

## ◆ WidgetElement

enum foxit::addon::xfa::XFAWidgetModifyInfo::WidgetElement

Enumeration for the positon of XFA widget element.

Values of this enumeration should be used alone.

Enumerator
e_WidgetElementPs | XFA widget element: Ps.
e_WidgetElementTo | XFA widget element: To.
e_WidgetElementUi | XFA widget element: Ui.
e_WidgetElementRecordSet | XFA widget element: Record set.
e_WidgetElementSubsetBelow | XFA widget element: Subset below.
e_WidgetElementSubformSet | XFA widget element: Subform set.
e_WidgetElementAdobeExtensionLevel | XFA widget element: Adobe extension level.
e_WidgetElementTypeface | XFA widget element: Type face.
e_WidgetElementBreak | XFA widget element: Break.
e_WidgetElementFontInfo | XFA widget element: Font info.
e_WidgetElementNumberPattern | XFA widget element: Number pattern.
e_WidgetElementDynamicRender | XFA widget element: Dynamic render.
e_WidgetElementPrintScaling | XFA widget element: Print scaling.
e_WidgetElementCheckButton | XFA widget element: Check button.
e_WidgetElementDatePatterns | XFA widget element: Date patterns.
e_WidgetElementSourceSet | XFA widget element: Source set.
e_WidgetElementAmd | XFA widget element: Amd.
e_WidgetElementArc | XFA widget element: Arc.
e_WidgetElementDay | XFA widget element: Day.
e_WidgetElementEra | XFA widget element: Era.
e_WidgetElementJog | XFA widget element: Jog.
e_WidgetElementLog | XFA widget element: Log.
e_WidgetElementMap | XFA widget element: Map.
e_WidgetElementMdp | XFA widget element: Mdp.
e_WidgetElementBreakBefore | XFA widget element: Break before.
e_WidgetElementOid | XFA widget element: Oid.
e_WidgetElementPcl | XFA widget element: Pcl.
e_WidgetElementPdf | XFA widget element: Pdf.
e_WidgetElementRef | XFA widget element: Ref.
e_WidgetElementUri | XFA widget element: Uri.
e_WidgetElementXdc | XFA widget element: Xdc.
e_WidgetElementXdp | XFA widget element: Xdp.
e_WidgetElementXfa | XFA widget element: Xfa.
e_WidgetElementXsl | XFA widget element: Xsl.
e_WidgetElementZpl | XFA widget element: Zpl.
e_WidgetElementCache | XFA widget element: Cache.
e_WidgetElementMargin | XFA widget element: Margin.
e_WidgetElementKeyUsage | XFA widget element: Key usage.
e_WidgetElementExclude | XFA widget element: Exclude.
e_WidgetElementChoiceList | XFA widget element: Choice list.
e_WidgetElementLevel | XFA widget element: Level.
e_WidgetElementLabelPrinter | XFA widget element: Label printer.
e_WidgetElementCalendarSymbols | XFA widget element: Calendar symbols.
e_WidgetElementPara | XFA widget element: Para.
e_WidgetElementPart | XFA widget element: Part.
e_WidgetElementPdfa | XFA widget element: Pdfa.
e_WidgetElementFilter | XFA widget element: Filter.
e_WidgetElementPresent | XFA widget element: Present.
e_WidgetElementPagination | XFA widget element: Pagination.
e_WidgetElementEncoding | XFA widget element: Encoding.
e_WidgetElementEvent | XFA widget element: Event.
e_WidgetElementWhitespace | XFA widget element: Whitespace.
e_WidgetElementDefaultUi | XFA widget element: Default Ui.
e_WidgetElementDataModel | XFA widget element: Data model.
e_WidgetElementBarcode | XFA widget element: Barcode.
e_WidgetElementTimePattern | XFA widget element: Time pattern.
e_WidgetElementBatchOutput | XFA widget element: Batch output.
e_WidgetElementEnforce | XFA widget element: Enforce.
e_WidgetElementCurrencySymbols | XFA widget element: Currency symbols.
e_WidgetElementAddSilentPrint | XFA widget element: Add silent print.
e_WidgetElementRename | XFA widget element: Rename.
e_WidgetElementOperation | XFA widget element: Operation.
e_WidgetElementTypefaces | XFA widget element: Typefaces.
e_WidgetElementSubjectDNs | XFA widget element: DNs.
e_WidgetElementIssuers | XFA widget element: Issuers.
e_WidgetElementSignaturePseudoModel | XFA widget element: Signature pseudo model.
e_WidgetElementWsdlConnection | XFA widget element: Wsdl connection.
e_WidgetElementDebug | XFA widget element: Debug.
e_WidgetElementDelta | XFA widget element: Delta.
e_WidgetElementEraNames | XFA widget element: Era names.
e_WidgetElementModifyAnnots | XFA widget element: Modify annots.
e_WidgetElementStartNode | XFA widget element: Start node.
e_WidgetElementButton | XFA widget element: Button.
e_WidgetElementFormat | XFA widget element: Format.
e_WidgetElementBorder | XFA widget element: Border.
e_WidgetElementArea | XFA widget element: Area.
e_WidgetElementHyphenation | XFA widget element: Hyphenation.
e_WidgetElementText | XFA widget element: Text.
e_WidgetElementTime | XFA widget element: Time.
e_WidgetElementType | XFA widget element: Type.
e_WidgetElementOverprint | XFA widget element: Overprint.
e_WidgetElementCertificates | XFA widget element: Certificates.
e_WidgetElementEncryptionMethods | XFA widget element: Encrypt methods.
e_WidgetElementSetProperty | XFA widget element: Set property.
e_WidgetElementPrinterName | XFA widget element: Printer name.
e_WidgetElementStartPage | XFA widget element: Start page.
e_WidgetElementPageOffset | XFA widget element: Page offset.
e_WidgetElementDateTime | XFA widget element: DateTime.
e_WidgetElementComb | XFA widget element: Comb.
e_WidgetElementPattern | XFA widget element: Pattern.
e_WidgetElementIfEmpty | XFA widget element: If empty.
e_WidgetElementSuppressBanner | XFA widget element: Suppress banner.
e_WidgetElementOutputBin | XFA widget element: Output bin.
e_WidgetElementField | XFA widget element: Field.
e_WidgetElementAgent | XFA widget element: Agent.
e_WidgetElementOutputXSL | XFA widget element: Output XSL.
e_WidgetElementAdjustData | XFA widget element: Adjust data.
e_WidgetElementAutoSave | XFA widget element: Auto save.
e_WidgetElementContentArea | XFA widget element: Content area.
e_WidgetElementEventPseudoModel | XFA widget element: Event pseudo model.
e_WidgetElementWsdlAddress | XFA widget element: Wsdl address.
e_WidgetElementSolid | XFA widget element: Solid.
e_WidgetElementDateTimeSymbols | XFA widget element: Date time symbols.
e_WidgetElementEncryptionLevel | XFA widget element: Encryption level.
e_WidgetElementEdge | XFA widget element: Edge.
e_WidgetElementStipple | XFA widget element: Stipple.
e_WidgetElementAttributes | XFA widget element: Attributes.
e_WidgetElementVersionControl | XFA widget element: Version control.
e_WidgetElementMeridiem | XFA widget element: Meridiem.
e_WidgetElementExclGroup | XFA widget element: Excl group.
e_WidgetElementToolTip | XFA widget element: Tool tip.
e_WidgetElementCompress | XFA widget element: Compress.
e_WidgetElementReason | XFA widget element: Reason.
e_WidgetElementExecute | XFA widget element: Execute.
e_WidgetElementContentCopy | XFA widget element: Content copy.
e_WidgetElementDateTimeEdit | XFA widget element: Date time edit.
e_WidgetElementConfig | XFA widget element: Config.
e_WidgetElementImage | XFA widget element: Image.
e_WidgetElementSharpxHTML | XFA widget element: Sharpx HTML.
e_WidgetElementNumberOfCopies | XFA widget element: Number of copies.
e_WidgetElementBehaviorOverride | XFA widget element: Behavior override.
e_WidgetElementTimeStamp | XFA widget element: Time stamp.
e_WidgetElementMonth | XFA widget element: Month.
e_WidgetElementViewerPreferences | XFA widget element: Viewer preferences.
e_WidgetElementScriptModel | XFA widget element: Script model.
e_WidgetElementDecimal | XFA widget element: Decimal.
e_WidgetElementSubform | XFA widget element: Subform.
e_WidgetElementSelect | XFA widget element: Select.
e_WidgetElementWindow | XFA widget element: Window.
e_WidgetElementLocaleSet | XFA widget element: Locale set.
e_WidgetElementHandler | XFA widget element: Handler.
e_WidgetElementHostPseudoModel | XFA widget element: Host pseudo model.
e_WidgetElementPresence | XFA widget element: Presence.
e_WidgetElementRecord | XFA widget element: Record.
e_WidgetElementEmbed | XFA widget element: Embed.
e_WidgetElementVersion | XFA widget element: Version.
e_WidgetElementCommand | XFA widget element: Command.
e_WidgetElementCopies | XFA widget element: Copies.
e_WidgetElementStaple | XFA widget element: Staple.
e_WidgetElementSubmitFormat | XFA widget element: Submit format.
e_WidgetElementBoolean | XFA widget element: Boolean.
e_WidgetElementMessage | XFA widget element: Message.
e_WidgetElementOutput | XFA widget element: Output.
e_WidgetElementPsMap | XFA widget element: Ps Map.
e_WidgetElementExcludeNS | XFA widget element: Exclude NS.
e_WidgetElementAssist | XFA widget element: Assist.
e_WidgetElementPicture | XFA widget element: Picture.
e_WidgetElementTraversal | XFA widget element: traversal.
e_WidgetElementSilentPrint | XFA widget element: slient print.
e_WidgetElementWebClient | XFA widget element: Web client.
e_WidgetElementLayoutPseudoModel | XFA widget element: Layout pseudo model.
e_WidgetElementProducer | XFA widget element: Producer.
e_WidgetElementCorner | XFA widget element: Corner.
e_WidgetElementMsgId | XFA widget element: Msg Id.
e_WidgetElementColor | XFA widget element: Color.
e_WidgetElementKeep | XFA widget element: Keep.
e_WidgetElementQuery | XFA widget element: Query.
e_WidgetElementInsert | XFA widget element: Insert.
e_WidgetElementImageEdit | XFA widget element: Image edit.
e_WidgetElementValidate | XFA widget element: Validate.
e_WidgetElementDigestMethods | XFA widget element: Digest methods.
e_WidgetElementNumberPatterns | XFA widget element: Number patterns.
e_WidgetElementPageSet | XFA widget element: Page set.
e_WidgetElementInteger | XFA widget element: Integer.
e_WidgetElementSoapAddress | XFA widget element: Soap address.
e_WidgetElementEquate | XFA widget element: Equate.
e_WidgetElementFormFieldFilling | XFA widget element: Form field filling.
e_WidgetElementPageRange | XFA widget element: Page range.
e_WidgetElementUpdate | XFA widget element: Update.
e_WidgetElementConnectString | XFA widget element: Connect string.
e_WidgetElementMode | XFA widget element: Mode.
e_WidgetElementLayout | XFA widget element: Layout.
e_WidgetElementSharpxml | XFA widget element: Sharpxml.
e_WidgetElementXsdConnection | XFA widget element: Xsd connection.
e_WidgetElementTraverse | XFA widget element: Traverse.
e_WidgetElementEncodings | XFA widget element: Encodings.
e_WidgetElementTemplate | XFA widget element: Template.
e_WidgetElementAcrobat | XFA widget element: Acrobat.
e_WidgetElementValidationMessaging | XFA widget element: Validation messaging.
e_WidgetElementSigning | XFA widget element: Signing.
e_WidgetElementDataWindow | XFA widget element: Data window.
e_WidgetElementScript | XFA widget element: Script.
e_WidgetElementAddViewerPreferences | XFA widget element: Add viewer preferences.
e_WidgetElementAlwaysEmbed | XFA widget element: Always embed.
e_WidgetElementPasswordEdit | XFA widget element: Password edit .
e_WidgetElementNumericEdit | XFA widget element: Numeric edit.
e_WidgetElementEncryptionMethod | XFA widget element: Encryption method.
e_WidgetElementChange | XFA widget element: Change.
e_WidgetElementPageArea | XFA widget element: Page area.
e_WidgetElementSubmitUrl | XFA widget element: Submit Url.
e_WidgetElementOids | XFA widget element: Oids.
e_WidgetElementSignature | XFA widget element: Signature.
e_WidgetElementADBE_JSConsole | XFA widget element: ADBE_JSConsole.
e_WidgetElementCaption | XFA widget element: Caption.
e_WidgetElementRelevant | XFA widget element: Relevant.
e_WidgetElementFlipLabel | XFA widget element: Flip label.
e_WidgetElementExData | XFA widget element: Ex data.
e_WidgetElementDayNames | XFA widget element: Day names.
e_WidgetElementSoapAction | XFA widget element: Soap action.
e_WidgetElementDefaultTypeface | XFA widget element: Default typeface.
e_WidgetElementManifest | XFA widget element: Manifest.
e_WidgetElementOverflow | XFA widget element: Overflow.
e_WidgetElementLinear | XFA widget element: Linear.
e_WidgetElementCurrencySymbol | XFA widget element: Currency symbol.
e_WidgetElementDelete | XFA widget element: Delete.
e_WidgetElementDeltas | XFA widget element: Deltas.
e_WidgetElementDigestMethod | XFA widget element: Digest method.
e_WidgetElementInstanceManager | XFA widget element: Instance manager.
e_WidgetElementEquateRange | XFA widget element: Equate range.
e_WidgetElementMedium | XFA widget element: Medium.
e_WidgetElementTextEdit | XFA widget element: Text edit.
e_WidgetElementTemplateCache | XFA widget element: Template cache.
e_WidgetElementCompressObjectStream | XFA widget element: Compress object stream.
e_WidgetElementDataValue | XFA widget element: Data value.
e_WidgetElementAccessibleContent | XFA widget element: Accessible content.
e_WidgetElementNodeList | XFA widget element: Node list.
e_WidgetElementIncludeXDPContent | XFA widget element: XDP content.
e_WidgetElementXmlConnection | XFA widget element: Xml connection .
e_WidgetElementValidateApprovalSignatures | XFA widget element: Validate approval signatures.
e_WidgetElementSignData | XFA widget element: Sign data.
e_WidgetElementPackets | XFA widget element: Packets.
e_WidgetElementDatePattern | XFA widget element: Pattern.
e_WidgetElementDuplexOption | XFA widget element: Duplex option.
e_WidgetElementBase | XFA widget element: Base.
e_WidgetElementBind | XFA widget element: bind.
e_WidgetElementCompression | XFA widget element: compression.
e_WidgetElementUser | XFA widget element: user.
e_WidgetElementRectangle | XFA widget element: rectangle.
e_WidgetElementEffectiveOutputPolicy | XFA widget element: Effective output policy.
e_WidgetElementADBE_JSDebugger | XFA widget element: ADBE JS Debugger.
e_WidgetElementAcrobat7 | XFA widget element: Acrobat7.
e_WidgetElementInteractive | XFA widget element: Interactive.
e_WidgetElementLocale | XFA widget element: Locale.
e_WidgetElementCurrentPage | XFA widget element: Current page.
e_WidgetElementData | XFA widget element: Data.
e_WidgetElementDate | XFA widget element: Date.
e_WidgetElementDesc | XFA widget element: Desc.
e_WidgetElementEncrypt | XFA widget element: Encrypt.
e_WidgetElementDraw | XFA widget element: Draw.
e_WidgetElementEncryption | XFA widget element: Encryption.
e_WidgetElementMeridiemNames | XFA widget element: Meridiem Names.
e_WidgetElementMessaging | XFA widget element: Messaging.
e_WidgetElementSpeak | XFA widget element: Speak.
e_WidgetElementDataGroup | XFA widget element: Data group.
e_WidgetElementCommon | XFA widget element: Common.
e_WidgetElementSharptext | XFA widget element: Sharptext.
e_WidgetElementPaginationOverride | XFA widget element: Pagination override.
e_WidgetElementReasons | XFA widget element: Reasons.
e_WidgetElementSignatureProperties | XFA widget element: Signature properties.
e_WidgetElementThreshold | XFA widget element: Threshold.
e_WidgetElementAppearanceFilter | XFA widget element: Appearance filter.
e_WidgetElementFill | XFA widget element: Fill.
e_WidgetElementFont | XFA widget element: Font.
e_WidgetElementForm | XFA widget element: Form.
e_WidgetElementMediumInfo | XFA widget element: Medium info.
e_WidgetElementCertificate | XFA widget element: Certificate.
e_WidgetElementPassword | XFA widget element: Password.
e_WidgetElementRunScripts | XFA widget element: Run scripts.
e_WidgetElementTrace | XFA widget element: Trace.
e_WidgetElementFloat | XFA widget element: Float.
e_WidgetElementRenderPolicy | XFA widget element: Render policy.
e_WidgetElementLogPseudoModel | XFA widget element: Log pseudo model.
e_WidgetElementDestination | XFA widget element: Destination.
e_WidgetElementValue | XFA widget element: Value.
e_WidgetElementBookend | XFA widget element: Bookend.
e_WidgetElementExObject | XFA widget element: Ex object.
e_WidgetElementXMLData | XFA widget element: XML data.
e_WidgetElementOpenAction | XFA widget element: Open action.
e_WidgetElementNeverEmbed | XFA widget element: Never embed.
e_WidgetElementBindItems | XFA widget element: Bind items.
e_WidgetElementCalculate | XFA widget element: Calculate.
e_WidgetElementPrint | XFA widget element: Print.
e_WidgetElementExtras | XFA widget element: Extras.
e_WidgetElementProto | XFA widget element: Proto.
e_WidgetElementDSigData | XFA widget element: D sig data.
e_WidgetElementCreator | XFA widget element: Creator.
e_WidgetElementConnect | XFA widget element: Connect.
e_WidgetElementPermissions | XFA widget element: Permissions.
e_WidgetElementConnectionSet | XFA widget element: Connection set.
e_WidgetElementSubmit | XFA widget element: Submit.
e_WidgetElementRange | XFA widget element: Range.
e_WidgetElementLinearized | XFA widget element: Linearized.
e_WidgetElementPacket | XFA widget element: Packet.
e_WidgetElementRootElement | XFA widget element: Root element.
e_WidgetElementPlaintextMetadata | XFA widget element: Plain text metadata.
e_WidgetElementNumberSymbols | XFA widget element: Number symbols.
e_WidgetElementPrintHighQuality | XFA widget element: Print high quality.
e_WidgetElementDriver | XFA widget element: Driver.
e_WidgetElementIncrementalLoad | XFA widget element: Incremental load.
e_WidgetElementSubjectDN | XFA widget element: DN.
e_WidgetElementCompressLogicalStructure | XFA widget element: Compress logical structure.
e_WidgetElementIncrementalMerge | XFA widget element: Incremental merge.
e_WidgetElementRadial | XFA widget element: Radial.
e_WidgetElementVariables | XFA widget element: Variables.
e_WidgetElementTimePatterns | XFA widget element: Time patterns.
e_WidgetElementEffectiveInputPolicy | XFA widget element: Effective input policy.
e_WidgetElementNameAttr | XFA widget element: Name attr.
e_WidgetElementConformance | XFA widget element: Conformance.
e_WidgetElementTransform | XFA widget element: Transform.
e_WidgetElementLockDocument | XFA widget element: Lock document.
e_WidgetElementBreakAfter | XFA widget element: Break after.
e_WidgetElementLine | XFA widget element: Line.
e_WidgetElementList | XFA widget element: List.
e_WidgetElementSource | XFA widget element: Source.
e_WidgetElementOccur | XFA widget element: Occur.
e_WidgetElementPickTrayByPDFSize | XFA widget element: Pick tray by PDF size.
e_WidgetElementMonthNames | XFA widget element: Month mames.
e_WidgetElementSeverity | XFA widget element: Severity.
e_WidgetElementGroupParent | XFA widget element: Group parent.
e_WidgetElementEncryptData | XFA widget element: Encrypt data.
e_WidgetElementDocumentAssembly | XFA widget element: Document assembly.
e_WidgetElementNumberSymbol | XFA widget element: Number symbol.
e_WidgetElementTagged | XFA widget element: Tagged.
e_WidgetElementItems | XFA widget element: Items.

## Constructor & Destructor Documentation

## ◆ XFAWidgetModifyInfo() [1/2]

foxit::addon::xfa::XFAWidgetModifyInfo::XFAWidgetModifyInfo | ( | const XFAWidgetModifyInfo & | other | ) |
| inline

Constructor, with another xfa widget modify information object.

Parameters

  [in] | other | Another xfa widget modify information object.

## ◆ XFAWidgetModifyInfo() [2/2]

foxit::addon::xfa::XFAWidgetModifyInfo::XFAWidgetModifyInfo | ( | XFADoc::EventType | event_type,
|  | int | page_index,
|  | WidgetElement | element,
|  | WidgetAttributeType | attribute_type,
|  | WString | old_value,
|  | WString | new_value,
|  | WString | widget_name
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | event_type | The XFA event type.
  [in] | page_index | The modify page index.
  [in] | element | The xfa widget element.
  [in] | attribute_type | The xfa widget attribute type.
  [in] | old_value | The old value.
  [in] | new_value | The new value.
  [in] | widget_name | The widget name.

## Member Function Documentation

## ◆ operator=()

XFAWidgetModifyInfo& foxit::addon::xfa::XFAWidgetModifyInfo::operator= | ( | const XFAWidgetModifyInfo & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another xfa widget modify information object.

Returns
  Reference to current object itself.